Changelog
=========
## 0.4.8
- Added the possibility to use any nodejs version bigger than 12
## 0.4.7
- Added support for current nodejs LTS version
## 0.4.6
- [Separate isAddress utility](https://github.com/input-output-hk/cardano-js/commit/21e55a96577e895f7f321b320c978cfffd4b78c7)
to handle each of Jormungandr and Cardano Byron era addresses specifically, since there is
enough divergence with address discriminants. In Jormungandr there is just either production
or testing whereas Cardano has specific magic values, so handling arbitrary networks becomes
a little akward if they are in the same interface. This commit also drops IntrospectAddress
for simplicity
- Adds TypeScript declarations to npm package
## 0.4.5
- Switches code style to Prettier
## 0.4.4
### Improvements
- Now [tested](https://github.com/input-output-hk/cardano-js/actions?query=workflow%3ACI+branch%3Amaster) against macOS, Windows, Ubuntu, with supported versions of Node.js.
### Fixes
- Replaces the bundled output from js-chain-libs with an npm dependency
## 0.4.1
### Features
#### [Hierarchical Deterministic (HD) Wallets](./src/hd/README.md)
- Derive root master keys from mnemonic words / recovery phrases
- Build public ID from a root public key
## 0.3.0
### Features
- **Breaking**: The module interfaces have been changed. Instead of a top-level `Util`, the functions are grouped by domain concept eg `Address.Util`.
### Fixes
-Correct inconsistency in package composition, introducing tests and prepublish script as corrective action.

## 0.2.3
### Fixes
- Adds _address group_ parameter to `isAddress` to scope validity to either Byron or Jörmungandr addresses.
## 0.2.2
### Features
- Adds `isAddress` utility as a thin wrapper around `introspectAddress`.
- `introspectAddress` now returns a string value for the address kind.
- Adds `lovelacesToAda` method, in a new `Currency` module.

### Fixes
- Fixes configuration, previously limited to the library running with access to a NodeJS `process`.
https://github.com/input-output-hk/cardano-js/pull/13

## 0.1.4
Initial release
