/// <reference types="node" />
export declare enum ByronAddressKind {
    spendingAddress = 0,
    scriptAddress = 1,
    redeemAddress = 2,
    stakingAddress = 3
}
export declare enum ByronAddressAttributes {
    stakeDistribution = 0,
    derivationPath = 1,
    networkMagic = 2
}
export declare enum ByronAddressName {
    spending = "spending",
    script = "script",
    redeem = "redeem",
    staking = "staking"
}
export declare function translateByronAddressKind(kind: ByronAddressKind): ByronAddressName;
export declare type ByronAddress = {
    addressName: ByronAddressName;
    attributes: Map<ByronAddressAttributes, Buffer>;
    kind: ByronAddressKind;
};
export declare function decodeByronAddress(bytes: Buffer): ByronAddress | null;
//# sourceMappingURL=ByronAddress.d.ts.map