"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base58 = require("bs58");
const cbor = require("cbor");
const ByronAddress_1 = require("./ByronAddress");
function isAddress(input, expectedNetworkMagic) {
    try {
        const bytes = base58.decode(input);
        const address = ByronAddress_1.decodeByronAddress(bytes);
        if (address === null)
            return false;
        const protocolMagicBuffer = address.attributes.get(ByronAddress_1.ByronAddressAttributes.networkMagic);
        if (protocolMagicBuffer === undefined) {
            return expectedNetworkMagic === null;
        }
        const protocolMagic = cbor.decode(protocolMagicBuffer);
        return !(protocolMagic !== expectedNetworkMagic);
    }
    catch (error) {
        if (error.message !== 'Non-base58 character')
            throw error;
        return false;
    }
}
exports.isAddress = isAddress;
//# sourceMappingURL=isAddress.js.map