"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bech32 = require("bech32");
const JormungandrAddress_1 = require("./JormungandrAddress");
function isJormungandrAddress(input, expectedEnvironment, longestCardanoAddress) {
    try {
        const bech32DecodeLimit = longestCardanoAddress || 128;
        const bytes = Buffer.from(bech32.fromWords(bech32.decode(input, bech32DecodeLimit).words));
        const address = JormungandrAddress_1.decodeJormungandrAddress(bytes);
        return !(address === null ||
            address.environment !== expectedEnvironment ||
            address.addressName !== address.addressName);
    }
    catch (error) {
        return false;
    }
}
exports.isJormungandrAddress = isJormungandrAddress;
//# sourceMappingURL=isJormungandrAddress.js.map