"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bip39 = require("bip39");
const crypto_1 = require("crypto");
const js_chain_libs_node_1 = require("js-chain-libs-node");
const ChainCode_1 = require("./ChainCode");
function tweakBits(data) {
    data[0] &= 248;
    data[31] &= 31;
    data[31] |= 64;
    return data;
}
function generateMasterKey(mnemonic, sndFactor = '') {
    const salt = Buffer.from(bip39.mnemonicToEntropy(mnemonic.join(' ')), 'hex');
    const bytes = tweakBits(crypto_1.pbkdf2Sync(sndFactor, salt, 4096, 96, 'sha512'));
    return [
        js_chain_libs_node_1.PrivateKey.from_extended_bytes(bytes.slice(0, 64)),
        ChainCode_1.ChainCode.from_bytes(bytes.slice(64)),
    ];
}
exports.generateMasterKey = generateMasterKey;
//# sourceMappingURL=Icarus.js.map