"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = require("crypto");
const blake2b = require('blakejs').blake2b;
function sha512(data) {
    return crypto.createHash('sha512').update(data).digest();
}
exports.sha512 = sha512;
function hmacSha512(key, message) {
    return crypto.createHmac('sha512', key).update(message).digest();
}
exports.hmacSha512 = hmacSha512;
function blake2b256(data) {
    return blake2b(data, undefined, 32);
}
exports.blake2b256 = blake2b256;
function blake2b160(data) {
    return blake2b(data, undefined, 20);
}
exports.blake2b160 = blake2b160;
function split(i, data) {
    return [data.slice(0, i), data.slice(i)];
}
exports.split = split;
//# sourceMappingURL=utils.js.map